Package oracle.dbtools.plugin.api.logging

## Interface Log

-     public interface Log

  Provides a slightly easier to use API compared to the JDK `Logger` API. Use @`Inject` annotation to inject a `Log` instance into a service. This API provides consistent method overrides for all standard `Logger` `Level`s. Two different methods are provided for each level, one taking a `String` message, and the other taking a `Throwable`. Note use of this API is optional, plugins can depend on a standard JDK `Logger` instance if they prefer.
  Author:
    cdivilly
  See Also:
    `AvailableDependencies.LOG`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.logging.Level` | `FINE` |
    `static java.util.logging.Level` | `FINER` |
    `static java.util.logging.Level` | `FINEST` |
    `static java.util.logging.Level` | `INFO` |
    `static java.util.logging.Level` | `SEVERE` |
    `static java.util.logging.Level` | `WARNING` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fine​(java.lang.String msg)` | Log a message at the `FINE` level
    `void` | `fine​(java.lang.Throwable t)` | Log a `Throwable` at the `FINE` level
    `void` | `finer​(java.lang.String msg)` | Log a message at the `FINER` level
    `void` | `finer​(java.lang.Throwable t)` | Log a `Throwable` at the `FINE` level
    `void` | `finest​(java.lang.String msg)` | Log a message at the `FINEST` level
    `void` | `finest​(java.lang.Throwable t)` | Log a `Throwable` at the `FINE` level
    `void` | `info​(java.lang.String msg)` | Log a message at the `INFO` level
    `void` | `info​(java.lang.Throwable t)` | Log a `Throwable` at the `FINE` level
    `boolean` | `isLoggable​(java.util.logging.Level level)` | Determines if the specified log `Level` is enabled for this logger
    `void` | `severe​(java.lang.String msg)` | Log a message at the `SEVERE` level
    `void` | `severe​(java.lang.Throwable t)` | Log a `Throwable` at the `FINE` level
    `void` | `warning​(java.lang.String msg)` | Log a message at the `WARNING` level
    `void` | `warning​(java.lang.Throwable t)` | Log a `Throwable` at the `FINE` level

- - ### Field Detail

    - #### FINE

          static final java.util.logging.Level FINE

      See Also:
        `Level.FINE`

    - #### FINER

          static final java.util.logging.Level FINER

      See Also:
        `Level.FINER`

    - #### FINEST

          static final java.util.logging.Level FINEST

      See Also:
        `Level.FINEST`

    - #### INFO

          static final java.util.logging.Level INFO

      See Also:
        `Level.INFO`

    - #### SEVERE

          static final java.util.logging.Level SEVERE

      See Also:
        `Level.SEVERE`

    - #### WARNING

          static final java.util.logging.Level WARNING

      See Also:
        `Level.WARNING`

  - ### Method Detail

    - #### fine

          void fine​(java.lang.String msg)

      Log a message at the `FINE` level
      Parameters:
        `msg` - The message to log

    - #### fine

          void fine​(java.lang.Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### finer

          void finer​(java.lang.String msg)

      Log a message at the `FINER` level
      Parameters:
        `msg` - The message to log

    - #### finer

          void finer​(java.lang.Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### finest

          void finest​(java.lang.String msg)

      Log a message at the `FINEST` level
      Parameters:
        `msg` - The message to log

    - #### finest

          void finest​(java.lang.Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### info

          void info​(java.lang.String msg)

      Log a message at the `INFO` level
      Parameters:
        `msg` - The message to log

    - #### info

          void info​(java.lang.Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### isLoggable

          boolean isLoggable​(java.util.logging.Level level)

      Determines if the specified log `Level` is enabled for this logger
      Parameters:
        `level` - The logging level to test
      Returns:
        true if the level is enabled, false otherwise

    - #### severe

          void severe​(java.lang.String msg)

      Log a message at the `SEVERE` level
      Parameters:
        `msg` - The message to log

    - #### severe

          void severe​(java.lang.Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log

    - #### warning

          void warning​(java.lang.String msg)

      Log a message at the `WARNING` level
      Parameters:
        `msg` - The message to log

    - #### warning

          void warning​(java.lang.Throwable t)

      Log a `Throwable` at the `FINE` level
      Parameters:
        `t` - The exception to log